Mail archive
alpine-aports

[alpine-aports] [PATCH] main/tcl: use system sqlite

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Thu, 10 Dec 2015 14:04:26 +0100

---
 main/tcl/APKBUILD | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)
diff --git a/main/tcl/APKBUILD b/main/tcl/APKBUILD
index 4da8819..31e6329 100644
--- a/main/tcl/APKBUILD
+++ b/main/tcl/APKBUILD
_at_@ -1,18 +1,19 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 # Maintainer: Carlo Landmeter <clandmeter_at_gmail.com>
 pkgname=tcl
 pkgver=8.6.4
-pkgrel=2
+pkgrel=3
 pkgdesc="The Tcl scripting language"
 url="http://tcl.sourceforge.net/"
 arch="all"
 license="TCL"
-depends=
+depends=""
 depends_dev="tcl"
-makedepends="zlib-dev"
+makedepends="zlib-dev sqlite-dev"
+subpackages="$pkgname-doc $pkgname-dev"
 source="http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname$pkgver-src.tar.gz
 	tcl-stat64.patch
 	"
-subpackages="$pkgname-doc $pkgname-dev"
 
 _major=${pkgver%.*}
 _builddir="$srcdir"/tcl${pkgver}/unix
_at_@ -31,15 +32,19 @@ build() {
 	case "$CARCH" in
 		x86_64) _64bit="--enable-64bit";;
 	esac
+
 	cd "$_builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
 		--prefix=/usr \
+		--sysconfdir=/etc \
 		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		--with-system-sqlite \
 		$_64bit \
 		|| return 1
-		make || return 1
+	make || return 1
 }
 
 package() {
_at_@ -49,6 +54,7 @@ package() {
 
 	ln -sf tclsh${_major} "${pkgdir}"/usr/bin/tclsh
 	install -Dm644 ../license.terms ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+
 	# remove buildroot traces
 	find "$pkgdir" -name '*Config.sh' | xargs sed -i -e "s#${srcdir}#/usr/src#"
 }
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Dec 10 2015 - 14:04:26 GMT